import Vue from 'vue'

import Cookies from 'js-cookie'
import VueResource from 'vue-resource'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import Element from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.scss' // global css

import App from './App'
import store from './store'
import router from './router'

import './icons' // icon
import './errorLog' // error log
import './permission' // permission control
// import './mock' // simulation data
// 添加拖拽指令
import './utils/directives.js'

import * as filters from './filters' // global filters

// import CompareOptions from "@/components/CompareOptions";

Vue.use(Element, {
  size: 'medium' // set element-ui default size medium
})

Vue.use(VueResource)
Vue.http.options.emulateJSON = true
// register global utility filters.
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

// ,
//   {
//     path: "*",
//     redirect: "/",
//     hidden: true
//   }

Vue.config.productionTip = false

new Vue({
  // el: '#app',
  router,
  store,
  render: h => h(App)
}).$mount('#app')
